<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1zZw=" . "="), "_d36d5ad3900b429055d2ab305b6" . "8bdbd" => base64_decode("Zm9ydW1fbWVzc" . "2FnZQ=="), "_76b2584d18510f887f4a6f6b81f96" . "952" => base64_decode("Y29tbW9uLmhlYWRlci" . "5mb3J1bQ=="), "_4cb84eb74" . "ebb3a0cd6e" . "531eaa8157" . "092" => base64_decode("YXBwX2ZvcnV" . "t"));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d36d5ad3900b429055d2ab305b" . "68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2f6e" . "847d"]($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_76b2584d18510f887f4a6f6b81f" . "96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4cb84eb74ebb3a0c" . "d6e531eaa8157092"];
    }
}